/*
Theme Name: Patrykoduje.pl
Theme URI: https://patrykoduje.pl/
Description: Motyw MŻM potomny dla Twenty Twenty-Five
Author: Patryk Rathnow
Author URI: https://patrykoduje.pl/
Template: twentytwentyfive
Version: 1.0.0
*/

@import url("../twentytwentyfive/style.css");

/* Import Google Fonts */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;700&display=swap");

:root {
  --earth-green: #4f6f52;
  --leaf-green: #a7c957;
  --beige-sand: #f2e8cf;
  --dark-forest: #2f3e46;
  --soft-wood: #d9bf77;
  --muted-green: #77966d;

  --font-family: "Poppins", sans-serif;

  /* Rozmiary czcionek */
  --font-size-base: 16px;
  --font-size-h1: 30px;
  --font-size-h2: 26px;
  --font-size-h3: 24px;
  --font-size-h4: 20px;
  --font-size-h5: 18px;
  --font-size-h6: 16px;
}

body {
  font-family: var(--font-family);
  background-color: var(--beige-sand);
  color: var(--dark-forest);
  font-size: var(--font-size-base);
}

header {
  background-color: var(--earth-green);
  color: var(--beige-sand);
  padding: 20px;
  text-align: center;
}

footer {
  background-color: var(--dark-forest);
  color: var(--beige-sand);
  padding: 20px;
  text-align: center;
}

h1 {
  font-size: var(--font-size-h1);
}
h2 {
  font-size: var(--font-size-h2);
}
h3 {
  font-size: var(--font-size-h3);
}
h4 {
  font-size: var(--font-size-h4);
}
h5 {
  font-size: var(--font-size-h5);
}
h6 {
  font-size: var(--font-size-h6);
}

/* Linki */
a {
  color: var(--muted-green);
  text-decoration: none;
}

a:hover {
  color: var(--leaf-green);
}

/* Przycisk */
button,
.wp-block-button__link {
  background-color: var(--soft-wood);
  color: var(--dark-forest);
  font-size: var(--font-size-h5);
  padding: 10px 20px;
  border-radius: 5px;
  border: none;
  cursor: pointer;
}

button:hover,
.wp-block-button__link:hover {
  background-color: var(--leaf-green);
  color: var(--beige-sand);
}
